Get Affiliate Tier
curl --request GET \
--url https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}")
.header("X-Eflow-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"network_affiliate_tier_id": 1,
"network_id": 1,
"name": "Updated Tier",
"status": "active",
"description": "Updated description",
"network_affiliate_ids": null,
"payout_margin": 25,
"is_default_tier": true,
"time_created": 1774620660,
"time_saved": 1774620995,
"relationship": {
"labels": {
"total": 1,
"entries": [
"updated-label"
]
}
}
}Affiliate Tiers
Get Affiliate Tier
Retrieve a single affiliate tier by its ID.
GET
/
networks
/
affiliatetiers
/
{affiliateTierId}
Get Affiliate Tier
curl --request GET \
--url https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}")
.header("X-Eflow-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"network_affiliate_tier_id": 1,
"network_id": 1,
"name": "Updated Tier",
"status": "active",
"description": "Updated description",
"network_affiliate_ids": null,
"payout_margin": 25,
"is_default_tier": true,
"time_created": 1774620660,
"time_saved": 1774620995,
"relationship": {
"labels": {
"total": 1,
"entries": [
"updated-label"
]
}
}
}Authorizations
Query Parameters
Response
Was this page helpful?
